<?php
$liczba = 2025;

printf("%%b = '%b'".PHP_EOL, $liczba); // format binarny (dwójkowy)
printf("%%e = '%e'".PHP_EOL, $liczba); // format naukowy
printf("%%f = '%f'".PHP_EOL, $liczba); // format zmiennoprzecinkowy
printf("%%o = '%o'".PHP_EOL, $liczba); // format ósemkowy
printf("%%s = '%s'".PHP_EOL, $liczba); // format tekstowy
printf("%%x = '%x'".PHP_EOL, $liczba); // format szesnastkowy (heksadecymalny)

printf("Rok %d w formacie szesnastkowym to %X.", $liczba, $liczba);